Skip to main content
`Ctrl`+`K`

# DMPlexTSComputeRHSFunctionFVM

Form the forcing `F` from the local input `locX` using pointwise functions specified by the user

## Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMPlexTSComputeRHSFunctionFVM(DM dm, PetscReal time, Vec locX, Vec F, PetscCtx ctx)

## Input Parameters

- dm - The mesh

- time - The time

- locX - Local solution

- ctx - The application context

## Output Parameter

- F - Global output vector

## See Also

TS: Scalable ODE and DAE Solvers, `DMPLEX`, `TS`, `DMPlexComputeJacobianActionFEM()`

## Level

developer

## Location

src/ts/utils/dmplexts.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex18.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages